# $Revision: 1.30 $, $Date: 2010/12/03 11:51:37 $
# NOTE:
# Wammu must be build with python-gammu rebuild against current gammu-devel

Summary:	Wammu - Gammu GUI - Mobile phone manager
Summary(pl.UTF-8):	Wammu - interfejs graficzny dla Gammu
Name:		wammu
Version:	0.35
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://dl.cihar.com/wammu/latest/%{name}-%{version}.tar.bz2
# Source0-md5:	3d0bdf912c6bf383e657b130f5634179
URL:		http://wammu.eu/
BuildRequires:	gammu-devel >= 1:1.11.91
BuildRequires:	pkgconfig >= 1:0.21-2
BuildRequires:	python-devel >= 1:%py_ver
BuildRequires:	python-gammu >= 0.24
BuildRequires:	python-wxPython >= 2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python = %py_ver
Requires:	gammu
Requires:	obexfs
Requires:	obextool
Requires:	python-gammu >= 0.24
Requires:	python-wxPython
#Suggests:	bluez-gnome  # gnome-bluetooth ?
#Suggests:	python-pybluez #
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wammu is mobile phone manager running on Linux, Windows and possibly
other platforms, where Gammu and wxPython works. The communication is
made by Gammu library. Currently supported features:

- complete support for contacts, todo, calendar
- can read/create/save/send/backup SMSes
- sending files to phone (OBEX and Sony Ericsson phones only)
- SMS composer for multi part SMSes
- display message including pictures and ringtones playback
- support for backup and import in various formats (vCard, vCalendar,
  vTodo, iCalendar, gammu own backup, ...)
- export messages to mail (IMAP4, maildir and mailbox storages)
- searching for phone

%description -l pl.UTF-8
Wammu to zarządca telefonów komórkowych działający pod Linuksem,
Windows i być może na innych platformach, na których działa Gammu i
wxPython. Komunikacja jest wykonywana przez bibliotekę Gammu.
Aktualnie dostępne możliwości:
- pełna obsługa kontaktów, listy zadań, kalendarza
- odczyt przeczytanych/utworzonych/zapisanych/wysłanych/zachowanych
  SMS-ów
- przesyłanie plików do telefonu (tylko OBEX i telefony Sony Ericsson)
- narzędzie do tworzenia wieloczęściowych SMS-ów
- wyświetlanie komunikatów wraz z obrazkami i dzwonkami
- obsługa kopii bezpieczeństwa i importu z różnych formatów (vCard,
  vCalendar, vTodo, iCalendar, własny format kopii Gammu...)
- eksport wiadomości do e-maili (IMAP4, maildir i mailbox)
- szukanie telefonów

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS FAQ README
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/%{name}.*
%dir %py_sitescriptdir/Wammu
%{py_sitescriptdir}/Wammu/*
%{py_sitescriptdir}/*.egg-info
%{_mandir}/man1/%{name}*.*
%lang(cs) %{_mandir}/cs/man1/%{name}*.*
%lang(de) %{_mandir}/de/man1/%{name}*.*
%lang(it) %{_mandir}/it/man1/%{name}*.*
%lang(nl) %{_mandir}/nl/man1/%{name}*.*
%lang(ru) %{_mandir}/ru/man1/%{name}*.*
%lang(sk) %{_mandir}/sk/man1/%{name}*.*
%dir %{_datadir}/Wammu
%{_datadir}/Wammu/*
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wammu.spec,v $
Revision 1.30  2010/12/03 11:51:37  lisu
- update to 0.35
- package more man pages
- adapter

Revision 1.29  2010/09/08 06:57:25  lisu
- up to 0.34
- adapter

Revision 1.28  2010/08/12 01:21:52  zbyniu
- rel 4

Revision 1.27  2010/07/09 11:25:51  arekm
- release 3

Revision 1.26  2010/07/08 08:49:28  arekm
- release 2

Revision 1.25  2010/06/13 08:57:30  matkor
- Version 0.33-1.

Revision 1.24  2010/03/02 11:19:14  blekot
- up to 0.32.1

Revision 1.23  2009/04/12 12:59:14  gotar
- upgraded to 0.30.1,
- BR: python-devel >= 1:%py_ver as python-devel requires only python binary
  (which can be 2.5 or any older) and python(abi) provided by python-libs

Revision 1.22  2009/03/31 12:50:16  gotar
- require exact version of python binary, autogenerated python(abi) is
  provided by python-libs which don't imply the same versions (in case of
  multiple python-libs being installed)

Revision 1.21  2009/03/14 12:43:02  hawk
- release 2

Revision 1.20  2008/10/27 14:34:59  uzsolt
- up to 0.29

Revision 1.19  2008/10/12 15:20:49  cactus
- rel 3 : for rebuild with new python 2.6

Revision 1.18  2008/06/25 06:53:37  hawk
- make it build

Revision 1.17  2008/05/23 20:02:32  wolvverine
- up to 0.27

Revision 1.16  2007-12-22 19:38:21  blekot
- added S: python-pybluez

Revision 1.15  2007-12-22 19:09:48  blekot
- up to 0.25
- BR: python-gammu >= 0.24

Revision 1.14  2007-11-18 16:39:31  wolvverine
- rel.1 for python-gammu 0.23

Revision 1.13  2007-11-17 02:14:48  wolvverine
- up to 0.24

Revision 1.12  2007-10-16 17:07:44  blekot
- up to 0.23
- rel 1
- more man pages

Revision 1.11  2007/09/02 09:59:24  blekot
- added note

Revision 1.10  2007/08/30 18:48:01  wolvverine
- rel.2

Revision 1.9  2007/08/19 08:51:33  ankry
- tabs

Revision 1.8  2007/08/05 12:41:59  qboosh
- pl desc

Revision 1.7  2007/08/05 11:14:52  gotar
- group and desc cosmetics

Revision 1.6  2007/08/04 16:03:44  qboosh
- cleanup

Revision 1.5  2007/08/03 03:24:04  wolvverine
- add S

Revision 1.4  2007/08/03 02:51:13  wolvverine
- add R

Revision 1.3  2007/08/03 01:40:49  wolvverine
- add R

Revision 1.2  2007/08/02 02:05:56  wolvverine
- add R

Revision 1.1  2007/08/02 01:52:53  wolvverine
- init
